<?php

//---------------------------------------------
//load carousel default settings from a file
//---------------------------------------------
        
if (file_exists('carousel/3dcarouselv1.xml'))
{
    $xml = simplexml_load_file('carousel/3dcarouselv1.xml');
}
else
{
    die('settings file is missing');
}

// changing default settings is easy
$xml->Images['CarouselSpeedMax'] = '25';

//---------------------------------------------
//hardcoded sample entries
//---------------------------------------------
     
// load  images
for ($i = 1; $i <= 2; $i++) {      
  $image[$i] = Array(
    'Visible'             =>    'true',
    'ImagePath' 			    =>		'carousel/images/img'. (($i < 10) ? '0'.$i : $i) .'.jpg',
    'ImageLink'				    =>		'',
    'ImageLinkTarget'     =>		'_blank',
    'ToolTip'				      =>    '<font color="#ffffff" size="16">Click Me!</font>',
    'Content1'				    =>		'<font color="#ffffff" size="9">Click image to return</font>',
    'Content2'				    =>		"<font color='#FCAB33' size='14'><b>Orange bold text</b></font><br><br><font color='#dcdcdc' size='11'>White text: Lorem ipsum ne sed dicam intellegat, has et partem principes tincidunt. Ius nemore ponderum ea, feugait assentior.</font><br><br><font color='#0071F6' size='11'><u>Blue underlined text: Nonumy utamur instructior qui an. No munere discere consetetur pro, dicunt molestie ea nam.</u></font><br><br><font color='#00FF33' size='11'><a href='http://www.3dcarousel.com' target='_blank'>This is a link: Eam facer dolor nominati te, at vim alii vero aeterno. Te congue tollit sea, vitae aliquyam et mei, facilis vivendo.</a></font><br><br><font color='#dcdcdc' size='11'>Image:</font><img src='carousel/images/mediaantb.jpg' width='136' heigh='26' /><br><br><br><br><font color='#dcdcdc' size='11'>Image with link:</font><a href='http://www.3dcarousel.com' target='_blank'><img src='carousel/images/mediaantb.jpg' width='136' heigh='26' /></a>"
    );
}
	

// static content 1
$static[0] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#cccccc',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '20',
          'Top'           =>  '20',
          'Width'         =>  '250',
          'Height'        =>  '40',
          'TopMost'       =>  'false',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#0000ff',
          'VisibleOnAnimationPage'   =>  'true',
          'VisibleOnDetailPage' =>  'false'
      ),
  'Content'     =>  "<font color='#ffffff' size='10'>Click on the image to open the details page</font>"
  );
   
// static content 2
$static[1] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'true',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#000000',
          'FontSize'      =>  '11',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '450',
          'Top'           =>  '300',
          'Width'         =>  '200',
          'Height'        =>  '30',
          'TopMost'       =>  'true',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#bc0000',
          'VisibleOnAnimationPage'   =>  'true',
          'VisibleOnDetailPage' =>  'true'
      ),
  'Content'     =>  "<a href='http://www.3dcarousel.com' target='_blank'><font color='#bc0000' size='10'>mediaANT 3D Carousel</font></a>"
  );

// hardcoded sample entries - END

foreach ($image as $entry)
{
	$tag = $xml->Images->addChild('Image');
	foreach ($entry as $key => $value)
	{
		$tag->addChild($key, '<![CDATA['.htmlentities($value).']]>');
	}
}

foreach ($static as $entry)
{
	$tag = $xml->StaticContents->addChild('StaticContent');
	
	foreach ($entry['Attributes'] as $a_key => $a_value)
	{
    $tag->addAttribute($a_key, $a_value);
	}
	
	$tag->addChild('Content', '<![CDATA['.htmlentities($entry['Content']).']]>');
}

print_r(html_entity_decode($xml->asXML()));

?>